curl --request PUT \
--url https://api.skulabs.com/distributor/add_item \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"distributor_id": "507f1f77bcf86cd799439011",
"id": "507f1f77bcf86cd799439011",
"item_id": "507f1f77bcf86cd799439011",
"cost": 123,
"quantity": 123,
"minimum_quantity": 123,
"lot_quantity": 123,
"part_number": "<string>",
"reorder_point": 123,
"reorder_rule": "<string>",
"notes": "<string>"
}
}
'{
"success": true
}Add an item to a distributor’s catalog with supplier-specific SKU, cost, and lead time.
curl --request PUT \
--url https://api.skulabs.com/distributor/add_item \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"distributor_id": "507f1f77bcf86cd799439011",
"id": "507f1f77bcf86cd799439011",
"item_id": "507f1f77bcf86cd799439011",
"cost": 123,
"quantity": 123,
"minimum_quantity": 123,
"lot_quantity": 123,
"part_number": "<string>",
"reorder_point": 123,
"reorder_rule": "<string>",
"notes": "<string>"
}
}
'{
"success": true
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Item data to add to the supplier
Show child attributes
Item added to supplier successfully
Whether the operation succeeded